//**************************************************************//
//  Name    : T6963C Interactive Adventure text strings         //           
//  Author  : Wayne K Jones                                     //
//  Date    : 29 Nov 2014                                       //
//  Modified: 11 Dec 2014                                       //
//  Notes   : Text strings to be written into PROGMEM           //                       
//**************************************************************//

#include <avr/pgmspace.h>

// **********************
// ***** START AREA *****
// **********************
const char areaStart_0[] PROGMEM = "You awaken surrounded by trees, it's";
const char areaStart_1[] PROGMEM = "dark and your back aches from the damp";
const char areaStart_2[] PROGMEM = "ground. Your heart pounds in your chest.";
const char areaStart_3[] PROGMEM = "What should you do?";
const char areaStart_4[] PROGMEM = "1. Scream like a girl.";
const char areaStart_5[] PROGMEM = "2. Check your pockets.";
const char areaStart_6[] PROGMEM = "3. Run like crazy in a random direction.";
const char areaStart_7[] PROGMEM = "4. Look around the clearing.";
PGM_P const areaStartText[] PROGMEM = 	
  { areaStart_0,areaStart_1,areaStart_2,areaStart_3,
    areaStart_4,areaStart_5,areaStart_6,areaStart_7 };

const char areaStartOpt1_0[] PROGMEM = "You scream pathetically like a girl.";
const char areaStartOpt1_1[] PROGMEM = "You stand there and wet yourself as you";
const char areaStartOpt1_2[] PROGMEM = "hear wolves approaching from all";
const char areaStartOpt1_3[] PROGMEM = "directions.";
const char areaStartOpt1_4[] PROGMEM = "";
const char areaStartOpt1_5[] PROGMEM = "";
const char areaStartOpt1_6[] PROGMEM = "";
const char areaStartOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaStartOpt1[] PROGMEM = 
  { areaStartOpt1_0,areaStartOpt1_1,areaStartOpt1_2,areaStartOpt1_3,
    areaStartOpt1_4,areaStartOpt1_5,areaStartOpt1_6,areaStartOpt1_7 };
    
const char areaStartOpt2_0[] PROGMEM = "Rummaging through your pockets, you find";
const char areaStartOpt2_1[] PROGMEM = "a smashed phone, a torch, a rubber duck,";
const char areaStartOpt2_2[] PROGMEM = "and a large brass trumpet.";
const char areaStartOpt2_3[] PROGMEM = "You switch on the torch and throw away";
const char areaStartOpt2_4[] PROGMEM = "the other stuff.";
const char areaStartOpt2_5[] PROGMEM = "";
const char areaStartOpt2_6[] PROGMEM = "";
const char areaStartOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaStartOpt2[] PROGMEM = 
  { areaStartOpt2_0,areaStartOpt2_1,areaStartOpt2_2,areaStartOpt2_3,
    areaStartOpt2_4,areaStartOpt2_5,areaStartOpt2_6,areaStartOpt2_7 };
    
const char areaStartOpt3_0[] PROGMEM = "Running like crazy, you cant see where";
const char areaStartOpt3_1[] PROGMEM = "you are going. You hear a roar and";
const char areaStartOpt3_2[] PROGMEM = "something fluffy hits you on the head.";
const char areaStartOpt3_3[] PROGMEM = "In the darkness you think you can make";
const char areaStartOpt3_4[] PROGMEM = "out a bear's face inches from your own.";
const char areaStartOpt3_5[] PROGMEM = "You fall unconscious and sleep a while.";
const char areaStartOpt3_6[] PROGMEM = "";
const char areaStartOpt3_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaStartOpt3[] PROGMEM = 
  { areaStartOpt3_0,areaStartOpt3_1,areaStartOpt3_2,areaStartOpt3_3,
    areaStartOpt3_4,areaStartOpt3_5,areaStartOpt3_6,areaStartOpt3_7 };
    
const char areaStartOpt4_0[] PROGMEM = "It's dark, so you obviously can't see";
const char areaStartOpt4_1[] PROGMEM = "anything. Stupid.";
const char areaStartOpt4_2[] PROGMEM = "";
const char areaStartOpt4_3[] PROGMEM = "";
const char areaStartOpt4_4[] PROGMEM = "";
const char areaStartOpt4_5[] PROGMEM = "";
const char areaStartOpt4_6[] PROGMEM = "";
const char areaStartOpt4_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaStartOpt4[] PROGMEM = 
  { areaStartOpt4_0,areaStartOpt4_1,areaStartOpt4_2,areaStartOpt4_3,
    areaStartOpt4_4,areaStartOpt4_5,areaStartOpt4_6,areaStartOpt4_7 };

// ***************************
// ***** LIT WOODED AREA *****
// ***************************
const char areaLitWood_0[] PROGMEM = "You are in a clearing in the woods. Tire";
const char areaLitWood_1[] PROGMEM = "tracks lead one way, and a path towards";
const char areaLitWood_2[] PROGMEM = "a cave leads the other way.";
const char areaLitWood_3[] PROGMEM = "There is a dead mouse on the ground.";
const char areaLitWood_4[] PROGMEM = "What should you do?";
const char areaLitWood_5[] PROGMEM = "1. Follow the tire tracks.";
const char areaLitWood_6[] PROGMEM = "2. Make your way to the cave.";
const char areaLitWood_7[] PROGMEM = "3. Pick up the dead mouse.";
PGM_P const areaLitWoodText[] PROGMEM = 
  { areaLitWood_0,areaLitWood_1,areaLitWood_2,areaLitWood_3,
    areaLitWood_4,areaLitWood_5,areaLitWood_6,areaLitWood_7 };
    
const char areaLitWood_mouse_0[] PROGMEM = "You are in a clearing in the Woods. Tire";
const char areaLitWood_mouse_1[] PROGMEM = "tracks lead one way, and a path towards";
const char areaLitWood_mouse_2[] PROGMEM = "a cave leads the other way.";
const char areaLitWood_mouse_3[] PROGMEM = "";
const char areaLitWood_mouse_4[] PROGMEM = "";
const char areaLitWood_mouse_5[] PROGMEM = "What should you do?";
const char areaLitWood_mouse_6[] PROGMEM = "1. Follow the tire tracks.";
const char areaLitWood_mouse_7[] PROGMEM = "2. Make your way to the cave.";
PGM_P const areaLitWoodText_noMouse[] PROGMEM = 
  { areaLitWood_mouse_0,areaLitWood_mouse_1,areaLitWood_mouse_2,areaLitWood_mouse_3,
    areaLitWood_mouse_4,areaLitWood_mouse_5,areaLitWood_mouse_6,areaLitWood_mouse_7 };
    
const char areaLitWoodOpt3_0[] PROGMEM = "Ugh, why would you want to pick that up?";
const char areaLitWoodOpt3_1[] PROGMEM = "You decide to leave the dead mouse where";
const char areaLitWoodOpt3_2[] PROGMEM = "it is.";
const char areaLitWoodOpt3_3[] PROGMEM = "";
const char areaLitWoodOpt3_4[] PROGMEM = "";
const char areaLitWoodOpt3_5[] PROGMEM = "";
const char areaLitWoodOpt3_6[] PROGMEM = "";
const char areaLitWoodOpt3_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaLitWoodOpt3[] PROGMEM = 
  { areaLitWoodOpt3_0,areaLitWoodOpt3_1,areaLitWoodOpt3_2,areaLitWoodOpt3_3,
    areaLitWoodOpt3_4,areaLitWoodOpt3_5,areaLitWoodOpt3_6,areaLitWoodOpt3_7 };
    
const char areaLitWoodOpt3mouse_0[] PROGMEM = "You carefully pick up the dead mouse and";
const char areaLitWoodOpt3mouse_1[] PROGMEM = "pop it in your pocket.";
const char areaLitWoodOpt3mouse_2[] PROGMEM = "";
const char areaLitWoodOpt3mouse_3[] PROGMEM = "";
const char areaLitWoodOpt3mouse_4[] PROGMEM = "";
const char areaLitWoodOpt3mouse_5[] PROGMEM = "";
const char areaLitWoodOpt3mouse_6[] PROGMEM = "";
const char areaLitWoodOpt3mouse_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaLitWoodOpt3mouse[] PROGMEM = 
  { areaLitWoodOpt3mouse_0,areaLitWoodOpt3mouse_1,areaLitWoodOpt3mouse_2,areaLitWoodOpt3mouse_3,
    areaLitWoodOpt3mouse_4,areaLitWoodOpt3mouse_5,areaLitWoodOpt3mouse_6,areaLitWoodOpt3mouse_7 };

// *********************
// ***** CAVE AREA *****
// *********************
const char areaCave_0[] PROGMEM = "You find yourself in a cave. A bear sits";
const char areaCave_1[] PROGMEM = "in the corner holding a steering wheel.";
const char areaCave_2[] PROGMEM = "Bats are flapping about, and a path from";
const char areaCave_3[] PROGMEM = "the cave leads to a wooded area.";
const char areaCave_4[] PROGMEM = "What should you do?";
const char areaCave_5[] PROGMEM = "1. Try taking steering wheel from bear.";
const char areaCave_6[] PROGMEM = "2. Poke at the bats.";
const char areaCave_7[] PROGMEM = "3. Exit cave and follow path to woods.";
PGM_P const areaCaveText[] PROGMEM = 
  { areaCave_0,areaCave_1,areaCave_2,areaCave_3,
    areaCave_4,areaCave_5,areaCave_6,areaCave_7 };
    
const char areaCave_frisbee_0[] PROGMEM = "You find yourself in a cave. A bear sits";
const char areaCave_frisbee_1[] PROGMEM = "happily in the corner holding a frisbee.";
const char areaCave_frisbee_2[] PROGMEM = "Bats are flapping about, and a path from";
const char areaCave_frisbee_3[] PROGMEM = "the cave leads to a wooded area.";
const char areaCave_frisbee_4[] PROGMEM = "What should you do?";
const char areaCave_frisbee_5[] PROGMEM = "1. Wave at the bear.";
const char areaCave_frisbee_6[] PROGMEM = "2. Poke a stick at the bats.";
const char areaCave_frisbee_7[] PROGMEM = "3. Exit cave and follow path to woods.";
PGM_P const areaCaveText_frisbee[] PROGMEM = 
  { areaCave_frisbee_0,areaCave_frisbee_1,areaCave_frisbee_2,areaCave_frisbee_3,
    areaCave_frisbee_4,areaCave_frisbee_5,areaCave_frisbee_6,areaCave_frisbee_7 };

const char areaCaveOpt1_0[] PROGMEM = "The bear growls at you as you approach.";
const char areaCaveOpt1_1[] PROGMEM = "Ignoring it's warning, you attempt to";
const char areaCaveOpt1_2[] PROGMEM = "snatch the steering wheel.";
const char areaCaveOpt1_3[] PROGMEM = "The bear roars and chews your face off.";
const char areaCaveOpt1_4[] PROGMEM = "";
const char areaCaveOpt1_5[] PROGMEM = "";
const char areaCaveOpt1_6[] PROGMEM = "";
const char areaCaveOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCaveOpt1[] PROGMEM = 
  { areaCaveOpt1_0,areaCaveOpt1_1,areaCaveOpt1_2,areaCaveOpt1_3,
    areaCaveOpt1_4,areaCaveOpt1_5,areaCaveOpt1_6,areaCaveOpt1_7 };

const char areaCaveOpt1_frisbee_0[] PROGMEM = "The bear growls as you approach.";
const char areaCaveOpt1_frisbee_1[] PROGMEM = "You throw the frisbee at the bear. He";
const char areaCaveOpt1_frisbee_2[] PROGMEM = "catches it and passes you the steering";
const char areaCaveOpt1_frisbee_3[] PROGMEM = "wheel.";
const char areaCaveOpt1_frisbee_4[] PROGMEM = "";
const char areaCaveOpt1_frisbee_5[] PROGMEM = "";
const char areaCaveOpt1_frisbee_6[] PROGMEM = "";
const char areaCaveOpt1_frisbee_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCaveOpt1_frisbee[] PROGMEM = 
  { areaCaveOpt1_frisbee_0,areaCaveOpt1_frisbee_1,areaCaveOpt1_frisbee_2,areaCaveOpt1_frisbee_3,
    areaCaveOpt1_frisbee_4,areaCaveOpt1_frisbee_5,areaCaveOpt1_frisbee_6,areaCaveOpt1_frisbee_7 };

const char areaCaveOpt1_wave_0[] PROGMEM = "The bear waves his frisbee at you.";
const char areaCaveOpt1_wave_1[] PROGMEM = "";
const char areaCaveOpt1_wave_2[] PROGMEM = "";
const char areaCaveOpt1_wave_3[] PROGMEM = "";
const char areaCaveOpt1_wave_4[] PROGMEM = "";
const char areaCaveOpt1_wave_5[] PROGMEM = "";
const char areaCaveOpt1_wave_6[] PROGMEM = "";
const char areaCaveOpt1_wave_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCaveOpt1_wave[] PROGMEM = 
  { areaCaveOpt1_wave_0,areaCaveOpt1_wave_1,areaCaveOpt1_wave_2,areaCaveOpt1_wave_3,
    areaCaveOpt1_wave_4,areaCaveOpt1_wave_5,areaCaveOpt1_wave_6,areaCaveOpt1_wave_7 };
// ********************

const char areaCaveOpt2_0[] PROGMEM = "You poke the bats but nothing happens.";
const char areaCaveOpt2_1[] PROGMEM = "At a glance, you thought that one of";
const char areaCaveOpt2_2[] PROGMEM = "them looked just like IceBat.";
const char areaCaveOpt2_3[] PROGMEM = "";
const char areaCaveOpt2_4[] PROGMEM = "";
const char areaCaveOpt2_5[] PROGMEM = "";
const char areaCaveOpt2_6[] PROGMEM = "";
const char areaCaveOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCaveOpt2[] PROGMEM = 
  { areaCaveOpt2_0,areaCaveOpt2_1,areaCaveOpt2_2,areaCaveOpt2_3,
    areaCaveOpt2_4,areaCaveOpt2_5,areaCaveOpt2_6,areaCaveOpt2_7 };

// ********************
// ***** CAR AREA *****
// ********************
//                               0123456789012345678901234567890123456789
const char areaCar_0[] PROGMEM = "There is a rusty old car, it's a bit";
const char areaCar_1[] PROGMEM = "beat up, but looks roadworthy and it";
const char areaCar_2[] PROGMEM = "appears to be unlocked.";
const char areaCar_3[] PROGMEM = "There is a pretty cottage nearby.";
const char areaCar_4[] PROGMEM = "What should you do?";
const char areaCar_5[] PROGMEM = "1. Follow tire tracks back to the woods.";
const char areaCar_6[] PROGMEM = "2. Head towards the cottage.";
const char areaCar_7[] PROGMEM = "3. Get in the car.";
PGM_P const areaCarText[] PROGMEM = 
  { areaCar_0,areaCar_1,areaCar_2,areaCar_3,
    areaCar_4,areaCar_5,areaCar_6,areaCar_7 };
    
// ***************************
// ***** INSIDE CAR AREA *****
// ***************************
const char areaInsideCar_0[] PROGMEM = "You are in driver seat. It's pretty";
const char areaInsideCar_1[] PROGMEM = "comfortable, but you notice that the car";
const char areaInsideCar_2[] PROGMEM = "isn't quite complete.";
const char areaInsideCar_3[] PROGMEM = "";
const char areaInsideCar_4[] PROGMEM = "What should you do?";
const char areaInsideCar_5[] PROGMEM = "1. Check what parts are missing.";
const char areaInsideCar_6[] PROGMEM = "2. Release the handbrake.";
const char areaInsideCar_7[] PROGMEM = "3. Get out of the car.";
PGM_P const areaInsideCarText[] PROGMEM = 
  { areaInsideCar_0,areaInsideCar_1,areaInsideCar_2,areaInsideCar_3,
    areaInsideCar_4,areaInsideCar_5,areaInsideCar_6,areaInsideCar_7 };

//                                         0123456789012345678901234567890123456789
const char areaInsideCarOpt2_0[] PROGMEM = "Despite knowing that the car is";
const char areaInsideCarOpt2_1[] PROGMEM = "incomplete, you release the handbrake.";
const char areaInsideCarOpt2_2[] PROGMEM = "The car begins to roll, and quickly";
const char areaInsideCarOpt2_3[] PROGMEM = "picks up speed. Suddenly you feel";
const char areaInsideCarOpt2_4[] PROGMEM = "weightless as the ground vanishes and a";
const char areaInsideCarOpt2_5[] PROGMEM = "pretty looking valley is hundreds of";
const char areaInsideCarOpt2_6[] PROGMEM = "meters below.";
const char areaInsideCarOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCarOpt2[] PROGMEM = 
  { areaInsideCarOpt2_0,areaInsideCarOpt2_1,areaInsideCarOpt2_2,areaInsideCarOpt2_3,
    areaInsideCarOpt2_4,areaInsideCarOpt2_5,areaInsideCarOpt2_6,areaInsideCarOpt2_7 };

// **************************
// ***** CAR PARTS AREA *****
// **************************
//                                    0123456789012345678901234567890123456789
const char areaCarParts_0[] PROGMEM = "The following parts are missing...";
const char areaCarParts_1[] PROGMEM = "";
const char areaCarParts_2[] PROGMEM = "";
const char areaCarParts_3[] PROGMEM = "";
const char areaCarParts_4[] PROGMEM = "";
const char areaCarParts_5[] PROGMEM = "";
const char areaCarParts_6[] PROGMEM = "1. Check pockets for parts.";
const char areaCarParts_7[] PROGMEM = "2. Forget about parts for now.";
PGM_P const areaCarPartsText[] PROGMEM = 
  { areaCarParts_0,areaCarParts_1,areaCarParts_2,areaCarParts_3,
    areaCarParts_4,areaCarParts_5,areaCarParts_6,areaCarParts_7 };

//                                         0123456789012345678901234567890123456789
const char areaCarParts_comp_0[] PROGMEM = "The car is complete!";
const char areaCarParts_comp_1[] PROGMEM = "";
const char areaCarParts_comp_2[] PROGMEM = "";
const char areaCarParts_comp_3[] PROGMEM = "";
const char areaCarParts_comp_4[] PROGMEM = "";
const char areaCarParts_comp_5[] PROGMEM = "";
const char areaCarParts_comp_6[] PROGMEM = "";
const char areaCarParts_comp_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCarPartsText_comp[] PROGMEM = 
  { areaCarParts_comp_0,areaCarParts_comp_1,areaCarParts_comp_2,areaCarParts_comp_3,
    areaCarParts_comp_4,areaCarParts_comp_5,areaCarParts_comp_6,areaCarParts_comp_7 };

const char areaCarPartsPockets_0[] PROGMEM = "You rummage through your pockets but";
const char areaCarPartsPockets_1[] PROGMEM = "don't find any of the required parts.";
const char areaCarPartsPockets_2[] PROGMEM = "";
const char areaCarPartsPockets_3[] PROGMEM = "";
const char areaCarPartsPockets_4[] PROGMEM = "";
const char areaCarPartsPockets_5[] PROGMEM = "";
const char areaCarPartsPockets_6[] PROGMEM = "";
const char areaCarPartsPockets_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCarPartsPockets[] PROGMEM = 
  { areaCarPartsPockets_0,areaCarPartsPockets_1,areaCarPartsPockets_2,areaCarPartsPockets_3,
    areaCarPartsPockets_4,areaCarPartsPockets_5,areaCarPartsPockets_6,areaCarPartsPockets_7 };

// ************************************
// ***** INSIDE COMPLETE CAR AREA *****
// ************************************

const char areaInsideCompleteCar_0[] PROGMEM = "You are sitting comfortably in the";
const char areaInsideCompleteCar_1[] PROGMEM = "driving seat. The car is complete! You";
const char areaInsideCompleteCar_2[] PROGMEM = "feel a sense of accomplishment as";
const char areaInsideCompleteCar_3[] PROGMEM = "you put your seatbelt on.";
const char areaInsideCompleteCar_4[] PROGMEM = "";
const char areaInsideCompleteCar_5[] PROGMEM = "What should you do?";
const char areaInsideCompleteCar_6[] PROGMEM = "1. Drive the car.";
const char areaInsideCompleteCar_7[] PROGMEM = "2. Get out of the car.";
PGM_P const areaInsideCompleteCarText[] PROGMEM = 
  { areaInsideCompleteCar_0,areaInsideCompleteCar_1,areaInsideCompleteCar_2,areaInsideCompleteCar_3,
    areaInsideCompleteCar_4,areaInsideCompleteCar_5,areaInsideCompleteCar_6,areaInsideCompleteCar_7 };

const char areaInsideCompleteCarOpt1_0[] PROGMEM = "You start up the car and turn the stereo";
const char areaInsideCompleteCarOpt1_1[] PROGMEM = "on. The radio is just static, and there";
const char areaInsideCompleteCarOpt1_2[] PROGMEM = "is no CD in the slot.";
const char areaInsideCompleteCarOpt1_3[] PROGMEM = "There's no way you're going anywhere";
const char areaInsideCompleteCarOpt1_4[] PROGMEM = "unless you have some music to listen to.";
const char areaInsideCompleteCarOpt1_5[] PROGMEM = "   ";
const char areaInsideCompleteCarOpt1_6[] PROGMEM = "";
const char areaInsideCompleteCarOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCompleteCarOpt1[] PROGMEM = 
  { areaInsideCompleteCarOpt1_0,areaInsideCompleteCarOpt1_1,areaInsideCompleteCarOpt1_2,areaInsideCompleteCarOpt1_3,
    areaInsideCompleteCarOpt1_4,areaInsideCompleteCarOpt1_5,areaInsideCompleteCarOpt1_6,areaInsideCompleteCarOpt1_7 };

//                                                    0123456789012345678901234567890123456789
const char areaInsideCompleteCarOpt1_CD_0[] PROGMEM = "You start up the car and pop your CD in.";
const char areaInsideCompleteCarOpt1_CD_1[] PROGMEM = "Singing along to Elton John, you drive";
const char areaInsideCompleteCarOpt1_CD_2[] PROGMEM = "away from the cottage, down a few";
const char areaInsideCompleteCarOpt1_CD_3[] PROGMEM = "country lanes, and then join the A66";
const char areaInsideCompleteCarOpt1_CD_4[] PROGMEM = "towards Scotch corner.";
const char areaInsideCompleteCarOpt1_CD_5[] PROGMEM = "Woop! You're on your way home!";
const char areaInsideCompleteCarOpt1_CD_6[] PROGMEM = "";
const char areaInsideCompleteCarOpt1_CD_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCompleteCarOpt1_CD[] PROGMEM = 
  { areaInsideCompleteCarOpt1_CD_0,areaInsideCompleteCarOpt1_CD_1,areaInsideCompleteCarOpt1_CD_2,areaInsideCompleteCarOpt1_CD_3,
    areaInsideCompleteCarOpt1_CD_4,areaInsideCompleteCarOpt1_CD_5,areaInsideCompleteCarOpt1_CD_6,areaInsideCompleteCarOpt1_CD_7 };


// ************************
// ***** COTTAGE AREA *****
// ************************
const char areaCottage_0[] PROGMEM = "Before you is a pretty white cottage.";
const char areaCottage_1[] PROGMEM = "It looks like no one has lived here in";
const char areaCottage_2[] PROGMEM = "quite a long time.";
const char areaCottage_3[] PROGMEM = "What should you do?";
const char areaCottage_4[] PROGMEM = "1. Go back to the car.";
const char areaCottage_5[] PROGMEM = "2. Enter the cottage.";
const char areaCottage_6[] PROGMEM = "3. Visit the outhouse.";
const char areaCottage_7[] PROGMEM = "4. Walk to the garden.";
PGM_P const areaCottageText[] PROGMEM = 
  { areaCottage_0,areaCottage_1,areaCottage_2,areaCottage_3,
    areaCottage_4,areaCottage_5,areaCottage_6,areaCottage_7 };
 
 //                                      0123456789012345678901234567890123456789
const char areaCottageOpt2_0[] PROGMEM = "The door creaks ominously as you gently";
const char areaCottageOpt2_1[] PROGMEM = "push it open.";
const char areaCottageOpt2_2[] PROGMEM = "";
const char areaCottageOpt2_3[] PROGMEM = "";
const char areaCottageOpt2_4[] PROGMEM = "";
const char areaCottageOpt2_5[] PROGMEM = "";
const char areaCottageOpt2_6[] PROGMEM = "";
const char areaCottageOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaCottageOpt2[] PROGMEM = 
  { areaCottageOpt2_0,areaCottageOpt2_1,areaCottageOpt2_2,areaCottageOpt2_3,
    areaCottageOpt2_4,areaCottageOpt2_5,areaCottageOpt2_6,areaCottageOpt2_7 };
    
// *******************************
// ***** INSIDE COTTAGE AREA *****
// *******************************
//                                         0123456789012345678901234567890123456789
const char areaInsideCottage_0[] PROGMEM = "The cottage appears to be an empty";
const char areaInsideCottage_1[] PROGMEM = "holiday home. There is a cute cat in the";
const char areaInsideCottage_2[] PROGMEM = "corner playing with some keys, and a CD";
const char areaInsideCottage_3[] PROGMEM = "player sits on the kitchen table.";
const char areaInsideCottage_4[] PROGMEM = "What should you do?";
const char areaInsideCottage_5[] PROGMEM = "1. Retrieve the keys from the cat.";
const char areaInsideCottage_6[] PROGMEM = "2. Remove the CD from the CD player.";
const char areaInsideCottage_7[] PROGMEM = "3. Leave the cottage.";
PGM_P const areaInsideCottageText[] PROGMEM = 
  { areaInsideCottage_0,areaInsideCottage_1,areaInsideCottage_2,areaInsideCottage_3,
    areaInsideCottage_4,areaInsideCottage_5,areaInsideCottage_6,areaInsideCottage_7 };

const char areaInsideCottage_keys_0[] PROGMEM = "The cottage appears to be an empty";
const char areaInsideCottage_keys_1[] PROGMEM = "holiday home. There is a cute cat in the";
const char areaInsideCottage_keys_2[] PROGMEM = "corner playing with a mouse, and a CD";
const char areaInsideCottage_keys_3[] PROGMEM = "player sits on the kitchen table.";
const char areaInsideCottage_keys_4[] PROGMEM = "What should you do?";
const char areaInsideCottage_keys_5[] PROGMEM = "1. Stroke the cat.";
const char areaInsideCottage_keys_6[] PROGMEM = "2. Remove the CD from the CD player.";
const char areaInsideCottage_keys_7[] PROGMEM = "3. Leave the cottage.";
PGM_P const areaInsideCottage_keys[] PROGMEM = 
  { areaInsideCottage_keys_0,areaInsideCottage_keys_1,areaInsideCottage_keys_2,areaInsideCottage_keys_3,
    areaInsideCottage_keys_4,areaInsideCottage_keys_5,areaInsideCottage_keys_6,areaInsideCottage_keys_7 };

const char areaInsideCottage_cd_0[] PROGMEM = "The cottage appears to be an empty";
const char areaInsideCottage_cd_1[] PROGMEM = "holiday home. There is a cute cat in the";
const char areaInsideCottage_cd_2[] PROGMEM = "corner playing with a mouse, and a CD";
const char areaInsideCottage_cd_3[] PROGMEM = "player sits on the kitchen table.";
const char areaInsideCottage_cd_4[] PROGMEM = "What should you do?";
const char areaInsideCottage_cd_5[] PROGMEM = "1. Stroke the cat.";
const char areaInsideCottage_cd_6[] PROGMEM = "2. Press play on the CD player.";
const char areaInsideCottage_cd_7[] PROGMEM = "3. Leave the cottage.";
PGM_P const areaInsideCottage_cd[] PROGMEM = 
  { areaInsideCottage_cd_0,areaInsideCottage_cd_1,areaInsideCottage_cd_2,areaInsideCottage_cd_3,
    areaInsideCottage_cd_4,areaInsideCottage_cd_5,areaInsideCottage_cd_6,areaInsideCottage_cd_7 };

//                                             0123456789012345678901234567890123456789
const char areaInsideCottageOpt1_0[] PROGMEM = "You try to coax the cat to let you have";
const char areaInsideCottageOpt1_1[] PROGMEM = "the keys, but it just keeps meowing and";
const char areaInsideCottageOpt1_2[] PROGMEM = "trying to claw you.";
const char areaInsideCottageOpt1_3[] PROGMEM = "It's a shame you don't have anything it";
const char areaInsideCottageOpt1_4[] PROGMEM = "could play with instead.";
const char areaInsideCottageOpt1_5[] PROGMEM = "";
const char areaInsideCottageOpt1_6[] PROGMEM = "";
const char areaInsideCottageOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt1[] PROGMEM = 
  { areaInsideCottageOpt1_0,areaInsideCottageOpt1_1,areaInsideCottageOpt1_2,areaInsideCottageOpt1_3,
    areaInsideCottageOpt1_4,areaInsideCottageOpt1_5,areaInsideCottageOpt1_6,areaInsideCottageOpt1_7 };

//                                                   0123456789012345678901234567890123456789
const char areaInsideCottageOpt1_mouse_0[] PROGMEM = "You take the dead mouse out from your";
const char areaInsideCottageOpt1_mouse_1[] PROGMEM = "pocket and wiggle it at the cat. It";
const char areaInsideCottageOpt1_mouse_2[] PROGMEM = "leaves the keys unguarded on the floor,";
const char areaInsideCottageOpt1_mouse_3[] PROGMEM = "and it comes to play with the mouse.";
const char areaInsideCottageOpt1_mouse_4[] PROGMEM = "You quickly pocket the keys.";
const char areaInsideCottageOpt1_mouse_5[] PROGMEM = "";
const char areaInsideCottageOpt1_mouse_6[] PROGMEM = "";
const char areaInsideCottageOpt1_mouse_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt1_mouse[] PROGMEM = 
  { areaInsideCottageOpt1_mouse_0,areaInsideCottageOpt1_mouse_1,areaInsideCottageOpt1_mouse_2,areaInsideCottageOpt1_mouse_3,
    areaInsideCottageOpt1_mouse_4,areaInsideCottageOpt1_mouse_5,areaInsideCottageOpt1_mouse_6,areaInsideCottageOpt1_mouse_7 };
    
//                                                    0123456789012345678901234567890123456789
const char areaInsideCottageOpt1_stroke_0[] PROGMEM = "The cat purrs as you gently stroke it.";
const char areaInsideCottageOpt1_stroke_1[] PROGMEM = "She seems to like you.";
const char areaInsideCottageOpt1_stroke_2[] PROGMEM = "";
const char areaInsideCottageOpt1_stroke_3[] PROGMEM = "";
const char areaInsideCottageOpt1_stroke_4[] PROGMEM = "";
const char areaInsideCottageOpt1_stroke_5[] PROGMEM = "";
const char areaInsideCottageOpt1_stroke_6[] PROGMEM = "";
const char areaInsideCottageOpt1_stroke_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt1_stroke[] PROGMEM = 
  { areaInsideCottageOpt1_stroke_0,areaInsideCottageOpt1_stroke_1,areaInsideCottageOpt1_stroke_2,areaInsideCottageOpt1_stroke_3,
    areaInsideCottageOpt1_stroke_4,areaInsideCottageOpt1_stroke_5,areaInsideCottageOpt1_stroke_6,areaInsideCottageOpt1_stroke_7 };

const char areaInsideCottageOpt2_0[] PROGMEM = "You inspect the CD player. It's plugged";
const char areaInsideCottageOpt2_1[] PROGMEM = "in with an Elton John CD inside. A";
const char areaInsideCottageOpt2_2[] PROGMEM = "BabyMetal CD is next to it on the table.";
const char areaInsideCottageOpt2_3[] PROGMEM = "You think it's best not to disturb it";
const char areaInsideCottageOpt2_4[] PROGMEM = "at the moment.";
const char areaInsideCottageOpt2_5[] PROGMEM = "";
const char areaInsideCottageOpt2_6[] PROGMEM = "";
const char areaInsideCottageOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt2[] PROGMEM = 
  { areaInsideCottageOpt2_0,areaInsideCottageOpt2_1,areaInsideCottageOpt2_2,areaInsideCottageOpt2_3,
    areaInsideCottageOpt2_4,areaInsideCottageOpt2_5,areaInsideCottageOpt2_6,areaInsideCottageOpt2_7 };

const char areaInsideCottageOpt2_takeCD_0[] PROGMEM = "You inspect the CD player. It's plugged";
const char areaInsideCottageOpt2_takeCD_1[] PROGMEM = "in with an Elton John CD inside. A";
const char areaInsideCottageOpt2_takeCD_2[] PROGMEM = "BabyMetal CD is next to it on the table.";
const char areaInsideCottageOpt2_takeCD_3[] PROGMEM = "You take the Elton John CD and put it";
const char areaInsideCottageOpt2_takeCD_4[] PROGMEM = "in your pocket. You pop the BabyMetal CD";
const char areaInsideCottageOpt2_takeCD_5[] PROGMEM = "into the player.";
const char areaInsideCottageOpt2_takeCD_6[] PROGMEM = "";
const char areaInsideCottageOpt2_takeCD_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt2_takeCD[] PROGMEM = 
  { areaInsideCottageOpt2_takeCD_0,areaInsideCottageOpt2_takeCD_1,areaInsideCottageOpt2_takeCD_2,areaInsideCottageOpt2_takeCD_3,
    areaInsideCottageOpt2_takeCD_4,areaInsideCottageOpt2_takeCD_5,areaInsideCottageOpt2_takeCD_6,areaInsideCottageOpt2_takeCD_7 };

const char areaInsideCottageOpt2_play_0[] PROGMEM = "You inspect the CD player. It's plugged";
const char areaInsideCottageOpt2_play_1[] PROGMEM = "in with a BabyMetal CD inside. You press";
const char areaInsideCottageOpt2_play_2[] PROGMEM = "play and do a little dance around the";
const char areaInsideCottageOpt2_play_3[] PROGMEM = "cottage whilst singing along to 'Gimme";
const char areaInsideCottageOpt2_play_4[] PROGMEM = "Chocolate!!'.";
const char areaInsideCottageOpt2_play_5[] PROGMEM = "Oh yeah!";
const char areaInsideCottageOpt2_play_6[] PROGMEM = "";
const char areaInsideCottageOpt2_play_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaInsideCottageOpt2_play[] PROGMEM = 
  { areaInsideCottageOpt2_play_0,areaInsideCottageOpt2_play_1,areaInsideCottageOpt2_play_2,areaInsideCottageOpt2_play_3,
    areaInsideCottageOpt2_play_4,areaInsideCottageOpt2_play_5,areaInsideCottageOpt2_play_6,areaInsideCottageOpt2_play_7 };


// ***********************
// ***** GARDEN AREA *****
// ***********************
const char areaGarden_0[] PROGMEM = "In the beautiful cottage garden there is";
const char areaGarden_1[] PROGMEM = "an old wooden shed, a small well, and an";
const char areaGarden_2[] PROGMEM = "outhouse toilet. You can see the beach.";
const char areaGarden_3[] PROGMEM = "What should you do?";
const char areaGarden_4[] PROGMEM = "1. Walk up to the pretty cottage.";
const char areaGarden_5[] PROGMEM = "2. Look inside of the old shed.";
const char areaGarden_6[] PROGMEM = "3. Investigate the well.";
const char areaGarden_7[] PROGMEM = "4. Walk down to the beach.";
PGM_P const areaGardenText[] PROGMEM = 
  { areaGarden_0,areaGarden_1,areaGarden_2,areaGarden_3,
    areaGarden_4,areaGarden_5,areaGarden_6,areaGarden_7 };

const char areaGardenOpt4_0[] PROGMEM = "You take a leisurely stroll down towards";
const char areaGardenOpt4_1[] PROGMEM = "the beach. It's a nice day and there are";
const char areaGardenOpt4_2[] PROGMEM = "butterflies flirting with the flowers";
const char areaGardenOpt4_3[] PROGMEM = "growing at the sides of the path.";
const char areaGardenOpt4_4[] PROGMEM = "The beach looks like something described";
const char areaGardenOpt4_5[] PROGMEM = "in a text-based adventure as you";
const char areaGardenOpt4_6[] PROGMEM = "approach.";
const char areaGardenOpt4_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaGardenOpt4[] PROGMEM = 
  { areaGardenOpt4_0,areaGardenOpt4_1,areaGardenOpt4_2,areaGardenOpt4_3,
    areaGardenOpt4_4,areaGardenOpt4_5,areaGardenOpt4_6,areaGardenOpt4_7 };


// *********************
// ***** SHED AREA *****
// *********************
const char areaShed_0[] PROGMEM = "Inside the shed there is a few empty";
const char areaShed_1[] PROGMEM = "petrol cans, a bottle marked with skull";
const char areaShed_2[] PROGMEM = "& crossbones, and an orange frisbee.";
const char areaShed_3[] PROGMEM = "What should you do?";
const char areaShed_4[] PROGMEM = "1. Pick up an empty petrol can.";
const char areaShed_5[] PROGMEM = "2. Drink the contents of the bottle.";
const char areaShed_6[] PROGMEM = "3. Leave the shed and close the door.";
const char areaShed_7[] PROGMEM = "4. Pick up the frisbee.";
PGM_P const areaShedText[] PROGMEM = 
  { areaShed_0,areaShed_1,areaShed_2,areaShed_3,
    areaShed_4,areaShed_5,areaShed_6,areaShed_7 };

const char areaShed_frisbee_0[] PROGMEM = "Inside the shed there is a few empty";
const char areaShed_frisbee_1[] PROGMEM = "petrol cans and a bottle marked with";
const char areaShed_frisbee_2[] PROGMEM = "skull & crossbones.";
const char areaShed_frisbee_3[] PROGMEM = "";
const char areaShed_frisbee_4[] PROGMEM = "What should you do?";
const char areaShed_frisbee_5[] PROGMEM = "1. Pick up an empty petrol can.";
const char areaShed_frisbee_6[] PROGMEM = "2. Drink the contents of the bottle.";
const char areaShed_frisbee_7[] PROGMEM = "3. Leave the shed and close the door.";
PGM_P const areaShedText_frisbee[] PROGMEM = 
  { areaShed_frisbee_0,areaShed_frisbee_1,areaShed_frisbee_2,areaShed_frisbee_3,
    areaShed_frisbee_4,areaShed_frisbee_5,areaShed_frisbee_6,areaShed_frisbee_7 };

const char areaShedOpt1_0[] PROGMEM = "There isn't much point in an empty can,";
const char areaShedOpt1_1[] PROGMEM = "and you can't see any petrol nearby.";
const char areaShedOpt1_2[] PROGMEM = "You decide to just leave the cans where";
const char areaShedOpt1_3[] PROGMEM = "they are.";
const char areaShedOpt1_4[] PROGMEM = "";
const char areaShedOpt1_5[] PROGMEM = "";
const char areaShedOpt1_6[] PROGMEM = "";
const char areaShedOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaShedOpt1[] PROGMEM = 
  { areaShedOpt1_0,areaShedOpt1_1,areaShedOpt1_2,areaShedOpt1_3,
    areaShedOpt1_4,areaShedOpt1_5,areaShedOpt1_6,areaShedOpt1_7 };
  
const char areaShedOpt1_can_0[] PROGMEM = "You pick up one of the empty cans";
const char areaShedOpt1_can_1[] PROGMEM = "thinking that it will probably come in";
const char areaShedOpt1_can_2[] PROGMEM = "handy.";
const char areaShedOpt1_can_3[] PROGMEM = "";
const char areaShedOpt1_can_4[] PROGMEM = "";
const char areaShedOpt1_can_5[] PROGMEM = "";
const char areaShedOpt1_can_6[] PROGMEM = "";
const char areaShedOpt1_can_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaShedOpt1_can[] PROGMEM = 
  { areaShedOpt1_can_0,areaShedOpt1_can_1,areaShedOpt1_can_2,areaShedOpt1_can_3,
    areaShedOpt1_can_4,areaShedOpt1_can_5,areaShedOpt1_can_6,areaShedOpt1_can_7 };

const char areaShedOpt1_got_0[] PROGMEM = "You don't need any more empty petrol";
const char areaShedOpt1_got_1[] PROGMEM = "cans. Besides, it looks like there is a";
const char areaShedOpt1_got_2[] PROGMEM = "family of little mice living in one of";
const char areaShedOpt1_got_3[] PROGMEM = "them.";
const char areaShedOpt1_got_4[] PROGMEM = "";
const char areaShedOpt1_got_5[] PROGMEM = "";
const char areaShedOpt1_got_6[] PROGMEM = "";
const char areaShedOpt1_got_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaShedOpt1_got[] PROGMEM = 
  { areaShedOpt1_got_0,areaShedOpt1_got_1,areaShedOpt1_got_2,areaShedOpt1_got_3,
    areaShedOpt1_got_4,areaShedOpt1_got_5,areaShedOpt1_got_6,areaShedOpt1_got_7 };

const char areaShedOpt2_0[] PROGMEM = "You cheerfully pop the cork on the small";
const char areaShedOpt2_1[] PROGMEM = "bottle and down the contents in one go.";
const char areaShedOpt2_2[] PROGMEM = "Nothing happens.";
const char areaShedOpt2_3[] PROGMEM = "";
const char areaShedOpt2_4[] PROGMEM = "Oh wait...";
const char areaShedOpt2_5[] PROGMEM = "";
const char areaShedOpt2_6[] PROGMEM = "";
const char areaShedOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaShedOpt2[] PROGMEM = 
  { areaShedOpt2_0,areaShedOpt2_1,areaShedOpt2_2,areaShedOpt2_3,
    areaShedOpt2_4,areaShedOpt2_5,areaShedOpt2_6,areaShedOpt2_7 };

const char areaShedOpt4_0[] PROGMEM = "Everyone loves playing with frisbees!";
const char areaShedOpt4_1[] PROGMEM = "You pick up the frisbee and stick it up";
const char areaShedOpt4_2[] PROGMEM = "your jumper.";
const char areaShedOpt4_3[] PROGMEM = "";
const char areaShedOpt4_4[] PROGMEM = "";
const char areaShedOpt4_5[] PROGMEM = "";
const char areaShedOpt4_6[] PROGMEM = "";
const char areaShedOpt4_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaShedOpt4[] PROGMEM = 
  { areaShedOpt4_0,areaShedOpt4_1,areaShedOpt4_2,areaShedOpt4_3,
    areaShedOpt4_4,areaShedOpt4_5,areaShedOpt4_6,areaShedOpt4_7 };


// *********************
// ***** WELL AREA *****
// *********************

const char areaWell_0[] PROGMEM = "Looking down the well, you see something";
const char areaWell_1[] PROGMEM = "reflective at the bottom. The outhouse";
const char areaWell_2[] PROGMEM = "toilet and old shed are nearby.";
const char areaWell_3[] PROGMEM = "What should you do?";
const char areaWell_4[] PROGMEM = "1. Retrieve item from the well.";
const char areaWell_5[] PROGMEM = "2. Look inside the old shed.";
const char areaWell_6[] PROGMEM = "3. Visit the outhouse.";
const char areaWell_7[] PROGMEM = "4. Head back to the cottage.";
PGM_P const areaWellText[] PROGMEM = 
  { areaWell_0,areaWell_1,areaWell_2,areaWell_3,
    areaWell_4,areaWell_5,areaWell_6,areaWell_7 };

const char areaWell_mirror_0[] PROGMEM = "Looking down the well, there is a few";
const char areaWell_mirror_1[] PROGMEM = "shiny coins at the bottom. The outhouse";
const char areaWell_mirror_2[] PROGMEM = "toilet and old shed are nearby.";
const char areaWell_mirror_3[] PROGMEM = "What should you do?";
const char areaWell_mirror_4[] PROGMEM = "1. Toss a coin in the well.";
const char areaWell_mirror_5[] PROGMEM = "2. Look inside the old shed.";
const char areaWell_mirror_6[] PROGMEM = "3. Visit the outhouse.";
const char areaWell_mirror_7[] PROGMEM = "4. Head back to the cottage.";
PGM_P const areaWellText_mirror[] PROGMEM = 
  { areaWell_mirror_0,areaWell_mirror_1,areaWell_mirror_2,areaWell_mirror_3,
    areaWell_mirror_4,areaWell_mirror_5,areaWell_mirror_6,areaWell_mirror_7 };

const char areaWellOpt1_0[] PROGMEM = "You can't seem to reach it, it's a long";
const char areaWellOpt1_1[] PROGMEM = "way down.";
const char areaWellOpt1_2[] PROGMEM = "";
const char areaWellOpt1_3[] PROGMEM = "";
const char areaWellOpt1_4[] PROGMEM = "";
const char areaWellOpt1_5[] PROGMEM = "";
const char areaWellOpt1_6[] PROGMEM = "";
const char areaWellOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaWellOpt1[] PROGMEM = 
  { areaWellOpt1_0,areaWellOpt1_1,areaWellOpt1_2,areaWellOpt1_3,
    areaWellOpt1_4,areaWellOpt1_5,areaWellOpt1_6,areaWellOpt1_7 };

const char areaWellOpt1_rope_0[] PROGMEM = "You lower the rope down the well,";
const char areaWellOpt1_rope_1[] PROGMEM = "however you can't seem to hook the rope";
const char areaWellOpt1_rope_2[] PROGMEM = "onto the item so that you can pull it";
const char areaWellOpt1_rope_3[] PROGMEM = "up to the surface.";
const char areaWellOpt1_rope_4[] PROGMEM = "Perhaps you need something in addition";
const char areaWellOpt1_rope_5[] PROGMEM = "to the rope.";
const char areaWellOpt1_rope_6[] PROGMEM = "";
const char areaWellOpt1_rope_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaWellOpt1_rope[] PROGMEM = 
  { areaWellOpt1_rope_0,areaWellOpt1_rope_1,areaWellOpt1_rope_2,areaWellOpt1_rope_3,
    areaWellOpt1_rope_4,areaWellOpt1_rope_5,areaWellOpt1_rope_6,areaWellOpt1_rope_7 };

const char areaWellOpt1_hook_0[] PROGMEM = "You tie the hook to your rope, and lower";
const char areaWellOpt1_hook_1[] PROGMEM = "it down the well. After some time and";
const char areaWellOpt1_hook_2[] PROGMEM = "cursing you manage to hook onto the item";
const char areaWellOpt1_hook_3[] PROGMEM = "and pull it out of the well.";
const char areaWellOpt1_hook_4[] PROGMEM = "It's a car rear-view mirror, you pop it";
const char areaWellOpt1_hook_5[] PROGMEM = "in your pocket.";
const char areaWellOpt1_hook_6[] PROGMEM = "";
const char areaWellOpt1_hook_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaWellOpt1_hook[] PROGMEM = 
  { areaWellOpt1_hook_0,areaWellOpt1_hook_1,areaWellOpt1_hook_2,areaWellOpt1_hook_3,
    areaWellOpt1_hook_4,areaWellOpt1_hook_5,areaWellOpt1_hook_6,areaWellOpt1_hook_7 };

const char areaWellOpt1_coin_0[] PROGMEM = "You make a wish as you throw a coin into";
const char areaWellOpt1_coin_1[] PROGMEM = "the well.";
const char areaWellOpt1_coin_2[] PROGMEM = "You wish that you had a pet unicorn with";
const char areaWellOpt1_coin_3[] PROGMEM = "rainbow hair.";
const char areaWellOpt1_coin_4[] PROGMEM = "";
const char areaWellOpt1_coin_5[] PROGMEM = "";
const char areaWellOpt1_coin_6[] PROGMEM = "";
const char areaWellOpt1_coin_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaWellOpt1_coin[] PROGMEM = 
  { areaWellOpt1_coin_0,areaWellOpt1_coin_1,areaWellOpt1_coin_2,areaWellOpt1_coin_3,
    areaWellOpt1_coin_4,areaWellOpt1_coin_5,areaWellOpt1_coin_6,areaWellOpt1_coin_7 };


// *************************
// ***** OUTHOUSE AREA *****
// *************************

const char areaOuthouse_0[] PROGMEM = "You are in the outhouse. Nothing else is";
const char areaOuthouse_1[] PROGMEM = "here but a toilet. It's quite dirty and";
const char areaOuthouse_2[] PROGMEM = "there appears to be a large fishing hook";
const char areaOuthouse_3[] PROGMEM = "at the bottom of the toilet bowl.";
const char areaOuthouse_4[] PROGMEM = "What should you do?";
const char areaOuthouse_5[] PROGMEM = "1. Walk back to the cottage.";
const char areaOuthouse_6[] PROGMEM = "2. Go to the well.";
const char areaOuthouse_7[] PROGMEM = "3. Retrieve the hook from the toilet.";
PGM_P const areaOuthouseText[] PROGMEM = 
  { areaOuthouse_0,areaOuthouse_1,areaOuthouse_2,areaOuthouse_3,
    areaOuthouse_4,areaOuthouse_5,areaOuthouse_6,areaOuthouse_7 };

const char areaOuthouse_hook_0[] PROGMEM = "You are in the outhouse. Nothing else is";
const char areaOuthouse_hook_1[] PROGMEM = "here but a toilet. Thanks to your recent";
const char areaOuthouse_hook_2[] PROGMEM = "cleaning spree, it appears to be";
const char areaOuthouse_hook_3[] PROGMEM = "spotlessly clean.";
const char areaOuthouse_hook_4[] PROGMEM = "What should you do?";
const char areaOuthouse_hook_5[] PROGMEM = "1. Walk back to the cottage.";
const char areaOuthouse_hook_6[] PROGMEM = "2. Go to the well.";
const char areaOuthouse_hook_7[] PROGMEM = "3. Use the toilet.";
PGM_P const areaOuthouseText_hook[] PROGMEM = 
  { areaOuthouse_hook_0,areaOuthouse_hook_1,areaOuthouse_hook_2,areaOuthouse_hook_3,
    areaOuthouse_hook_4,areaOuthouse_hook_5,areaOuthouse_hook_6,areaOuthouse_hook_7 };

const char areaOuthouseOpt3_0[] PROGMEM = "You decide that there's no way you are";
const char areaOuthouseOpt3_1[] PROGMEM = "going to put your hand in there just to";
const char areaOuthouseOpt3_2[] PROGMEM = "obtain a hook that you have no use for!";
const char areaOuthouseOpt3_3[] PROGMEM = "";
const char areaOuthouseOpt3_4[] PROGMEM = "";
const char areaOuthouseOpt3_5[] PROGMEM = "";
const char areaOuthouseOpt3_6[] PROGMEM = "";
const char areaOuthouseOpt3_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaOuthouseOpt3[] PROGMEM = 
  { areaOuthouseOpt3_0,areaOuthouseOpt3_1,areaOuthouseOpt3_2,areaOuthouseOpt3_3,
    areaOuthouseOpt3_4,areaOuthouseOpt3_5,areaOuthouseOpt3_6,areaOuthouseOpt3_7 };


const char areaOuthouseOpt3_hook_0[] PROGMEM = "Holding your breath and looking away,";
const char areaOuthouseOpt3_hook_1[] PROGMEM = "you slowly dip your hand into the toilet";
const char areaOuthouseOpt3_hook_2[] PROGMEM = "bowl. The water is cold and slimy. You";
const char areaOuthouseOpt3_hook_3[] PROGMEM = "manage to retrieve the hook.";
const char areaOuthouseOpt3_hook_4[] PROGMEM = "Disguisted, you fetch some cleaning";
const char areaOuthouseOpt3_hook_5[] PROGMEM = "products from the cottage and give the";
const char areaOuthouseOpt3_hook_6[] PROGMEM = "toilet a good scrub.";
const char areaOuthouseOpt3_hook_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaOuthouseOpt3_hook[] PROGMEM = 
  { areaOuthouseOpt3_hook_0,areaOuthouseOpt3_hook_1,areaOuthouseOpt3_hook_2,areaOuthouseOpt3_hook_3,
    areaOuthouseOpt3_hook_4,areaOuthouseOpt3_hook_5,areaOuthouseOpt3_hook_6,areaOuthouseOpt3_hook_7 };

const char areaOuthouseOpt3_wee_0[] PROGMEM = "You have a wee.";
const char areaOuthouseOpt3_wee_1[] PROGMEM = "Ahh that's much better!";
const char areaOuthouseOpt3_wee_2[] PROGMEM = "";
const char areaOuthouseOpt3_wee_3[] PROGMEM = "";
const char areaOuthouseOpt3_wee_4[] PROGMEM = "";
const char areaOuthouseOpt3_wee_5[] PROGMEM = "";
const char areaOuthouseOpt3_wee_6[] PROGMEM = "";
const char areaOuthouseOpt3_wee_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaOuthouseOpt3_wee[] PROGMEM = 
  { areaOuthouseOpt3_wee_0,areaOuthouseOpt3_wee_1,areaOuthouseOpt3_wee_2,areaOuthouseOpt3_wee_3,
    areaOuthouseOpt3_wee_4,areaOuthouseOpt3_wee_5,areaOuthouseOpt3_wee_6,areaOuthouseOpt3_wee_7 };


// **********************
// ***** BEACH AREA *****
// **********************

const char areaBeach_0[] PROGMEM = "A boat is resting on the beach, out of";
const char areaBeach_1[] PROGMEM = "the water. You can see the path leading";
const char areaBeach_2[] PROGMEM = "up towards the cottage. You spot a snail";
const char areaBeach_3[] PROGMEM = "shell poking out of the sand.";
const char areaBeach_4[] PROGMEM = "What should you do?";
const char areaBeach_5[] PROGMEM = "1. Investigate the boat.";
const char areaBeach_6[] PROGMEM = "2. Head back up to the cottage garden.";
const char areaBeach_7[] PROGMEM = "3. Pick up the snail.";
PGM_P const areaBeachText[] PROGMEM = 
  { areaBeach_0,areaBeach_1,areaBeach_2,areaBeach_3,
    areaBeach_4,areaBeach_5,areaBeach_6,areaBeach_7 };

const char areaBeach_snail_0[] PROGMEM = "A boat is resting on the beach, out of";
const char areaBeach_snail_1[] PROGMEM = "the water. You can see the path leading";
const char areaBeach_snail_2[] PROGMEM = "up towards the cottage. You can't spot";
const char areaBeach_snail_3[] PROGMEM = "any snails anywhere.";
const char areaBeach_snail_4[] PROGMEM = "What should you do?";
const char areaBeach_snail_5[] PROGMEM = "1. Investigate the boat.";
const char areaBeach_snail_6[] PROGMEM = "2. Head back up to the cottage garden.";
const char areaBeach_snail_7[] PROGMEM = "3. Search for snails.";
PGM_P const areaBeachText_snail[] PROGMEM = 
  { areaBeach_snail_0,areaBeach_snail_1,areaBeach_snail_2,areaBeach_snail_3,
    areaBeach_snail_4,areaBeach_snail_5,areaBeach_snail_6,areaBeach_snail_7 };

const char areaBeachOpt3_0[] PROGMEM = "As you bend down to pick up the snail,";
const char areaBeachOpt3_1[] PROGMEM = "you realise it isn't a snail at all!";
const char areaBeachOpt3_2[] PROGMEM = "It's the round plastic knob of a car";
const char areaBeachOpt3_3[] PROGMEM = "window winder. You pull the winder out";
const char areaBeachOpt3_4[] PROGMEM = "from under the sand, dust it off and pop";
const char areaBeachOpt3_5[] PROGMEM = "it in your pocket.";
const char areaBeachOpt3_6[] PROGMEM = "";
const char areaBeachOpt3_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBeachOpt3[] PROGMEM = 
  { areaBeachOpt3_0,areaBeachOpt3_1,areaBeachOpt3_2,areaBeachOpt3_3,
    areaBeachOpt3_4,areaBeachOpt3_5,areaBeachOpt3_6,areaBeachOpt3_7 };

const char areaBeachOpt3_search_0[] PROGMEM = "You walk up and down the beach for a bit";
const char areaBeachOpt3_search_1[] PROGMEM = "searching for sea snails.";
const char areaBeachOpt3_search_2[] PROGMEM = "You find one and put him in the sea. He";
const char areaBeachOpt3_search_3[] PROGMEM = "looks much happier now.";
const char areaBeachOpt3_search_4[] PROGMEM = "";
const char areaBeachOpt3_search_5[] PROGMEM = "";
const char areaBeachOpt3_search_6[] PROGMEM = "";
const char areaBeachOpt3_search_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBeachOpt3_search[] PROGMEM = 
  { areaBeachOpt3_search_0,areaBeachOpt3_search_1,areaBeachOpt3_search_2,areaBeachOpt3_search_3,
    areaBeachOpt3_search_4,areaBeachOpt3_search_5,areaBeachOpt3_search_6,areaBeachOpt3_search_7 };


// *********************
// ***** BOAT AREA *****
// *********************
//                                0123456789012345678901234567890123456789
const char areaBoat_0[] PROGMEM = "Inside the small boat, there are a few";
const char areaBoat_1[] PROGMEM = "coils of rope and an outboard engine.";
const char areaBoat_2[] PROGMEM = "It looks seaworthy.";
const char areaBoat_3[] PROGMEM = "What should you do?";
const char areaBoat_4[] PROGMEM = "1. Start the boat up and sail away.";
const char areaBoat_5[] PROGMEM = "2. Take petrol from the engine tank.";
const char areaBoat_6[] PROGMEM = "3. Take a coil of rope.";
const char areaBoat_7[] PROGMEM = "4. Leave the boat.";
PGM_P const areaBoatText[] PROGMEM = 
  { areaBoat_0,areaBoat_1,areaBoat_2,areaBoat_3,
    areaBoat_4,areaBoat_5,areaBoat_6,areaBoat_7 };

//                                    0123456789012345678901234567890123456789
const char areaBoatOpt1_0[] PROGMEM = "Although the boat is certainly seaworthy";
const char areaBoatOpt1_1[] PROGMEM = "and there is plenty of fuel, you have no";
const char areaBoatOpt1_2[] PROGMEM = "compass and would most definitely get";
const char areaBoatOpt1_3[] PROGMEM = "lost at sea. Besides you haven't packed";
const char areaBoatOpt1_4[] PROGMEM = "any lunch.";
const char areaBoatOpt1_5[] PROGMEM = "";
const char areaBoatOpt1_6[] PROGMEM = "";
const char areaBoatOpt1_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt1[] PROGMEM = 
  { areaBoatOpt1_0,areaBoatOpt1_1,areaBoatOpt1_2,areaBoatOpt1_3,
    areaBoatOpt1_4,areaBoatOpt1_5,areaBoatOpt1_6,areaBoatOpt1_7 };

//                                    0123456789012345678901234567890123456789
const char areaBoatOpt2_0[] PROGMEM = "Unfortunately, you don't have anything";
const char areaBoatOpt2_1[] PROGMEM = "to carry the petrol in, so you leave it";
const char areaBoatOpt2_2[] PROGMEM = "alone for now.";
const char areaBoatOpt2_3[] PROGMEM = "";
const char areaBoatOpt2_4[] PROGMEM = "";
const char areaBoatOpt2_5[] PROGMEM = "";
const char areaBoatOpt2_6[] PROGMEM = "";
const char areaBoatOpt2_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt2[] PROGMEM = 
  { areaBoatOpt2_0,areaBoatOpt2_1,areaBoatOpt2_2,areaBoatOpt2_3,
    areaBoatOpt2_4,areaBoatOpt2_5,areaBoatOpt2_6,areaBoatOpt2_7 };

//                                        0123456789012345678901234567890123456789
const char areaBoatOpt2_can_0[] PROGMEM = "You pour the petrol into your empty can";
const char areaBoatOpt2_can_1[] PROGMEM = "until it's full.";
const char areaBoatOpt2_can_2[] PROGMEM = "";
const char areaBoatOpt2_can_3[] PROGMEM = "";
const char areaBoatOpt2_can_4[] PROGMEM = "";
const char areaBoatOpt2_can_5[] PROGMEM = "";
const char areaBoatOpt2_can_6[] PROGMEM = "";
const char areaBoatOpt2_can_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt2_can[] PROGMEM = 
  { areaBoatOpt2_can_0,areaBoatOpt2_can_1,areaBoatOpt2_can_2,areaBoatOpt2_can_3,
    areaBoatOpt2_can_4,areaBoatOpt2_can_5,areaBoatOpt2_can_6,areaBoatOpt2_can_7 };

//                                          0123456789012345678901234567890123456789
const char areaBoatOpt2_dneed_0[] PROGMEM = "You don't need any more petrol.";
const char areaBoatOpt2_dneed_1[] PROGMEM = "";
const char areaBoatOpt2_dneed_2[] PROGMEM = "";
const char areaBoatOpt2_dneed_3[] PROGMEM = "";
const char areaBoatOpt2_dneed_4[] PROGMEM = "";
const char areaBoatOpt2_dneed_5[] PROGMEM = "";
const char areaBoatOpt2_dneed_6[] PROGMEM = "";
const char areaBoatOpt2_dneed_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt2_dneed[] PROGMEM = 
  { areaBoatOpt2_dneed_0,areaBoatOpt2_dneed_1,areaBoatOpt2_dneed_2,areaBoatOpt2_dneed_3,
    areaBoatOpt2_dneed_4,areaBoatOpt2_dneed_5,areaBoatOpt2_dneed_6,areaBoatOpt2_dneed_7 };

//                                    0123456789012345678901234567890123456789
const char areaBoatOpt3_0[] PROGMEM = "The rope is of a good quality, both thin";
const char areaBoatOpt3_1[] PROGMEM = "and strong. You pick up a coil and carry";
const char areaBoatOpt3_2[] PROGMEM = "it over your shoulder.";
const char areaBoatOpt3_3[] PROGMEM = "";
const char areaBoatOpt3_4[] PROGMEM = "";
const char areaBoatOpt3_5[] PROGMEM = "";
const char areaBoatOpt3_6[] PROGMEM = "";
const char areaBoatOpt3_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt3[] PROGMEM = 
  { areaBoatOpt3_0,areaBoatOpt3_1,areaBoatOpt3_2,areaBoatOpt3_3,
    areaBoatOpt3_4,areaBoatOpt3_5,areaBoatOpt3_6,areaBoatOpt3_7 };

//                                          0123456789012345678901234567890123456789
const char areaBoatOpt3_dneed_0[] PROGMEM = "You decide that you don't need any more";
const char areaBoatOpt3_dneed_1[] PROGMEM = "rope.";
const char areaBoatOpt3_dneed_2[] PROGMEM = "";
const char areaBoatOpt3_dneed_3[] PROGMEM = "";
const char areaBoatOpt3_dneed_4[] PROGMEM = "";
const char areaBoatOpt3_dneed_5[] PROGMEM = "";
const char areaBoatOpt3_dneed_6[] PROGMEM = "";
const char areaBoatOpt3_dneed_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaBoatOpt3_dneed[] PROGMEM = 
  { areaBoatOpt3_dneed_0,areaBoatOpt3_dneed_1,areaBoatOpt3_dneed_2,areaBoatOpt3_dneed_3,
    areaBoatOpt3_dneed_4,areaBoatOpt3_dneed_5,areaBoatOpt3_dneed_6,areaBoatOpt3_dneed_7 };


// ************************************
// ***** INTRO / CREDITS / FINISH *****
// ************************************
//                                  0123456789012345678901234567890123456789
const char areaFinish_0[] PROGMEM = "";
const char areaFinish_1[] PROGMEM = "           Congratulations!!";
const char areaFinish_2[] PROGMEM = "";
const char areaFinish_3[] PROGMEM = "";
const char areaFinish_4[] PROGMEM = "";
const char areaFinish_5[] PROGMEM = "";
const char areaFinish_6[] PROGMEM = "";
const char areaFinish_7[] PROGMEM = "";
PGM_P const areaFinishText[] PROGMEM = 
  { areaFinish_0,areaFinish_1,areaFinish_2,areaFinish_3,
    areaFinish_4,areaFinish_5,areaFinish_6,areaFinish_7 };

//                                   0123456789012345678901234567890123456789
const char areaCredits_0[] PROGMEM = "";
const char areaCredits_1[] PROGMEM = "          The Lonely Cottage   ";
const char areaCredits_2[] PROGMEM = "";
const char areaCredits_3[] PROGMEM = "  A text based multi-choice adventure";
const char areaCredits_4[] PROGMEM = "   Designed and written by W K Jones";
const char areaCredits_5[] PROGMEM = "";
const char areaCredits_6[] PROGMEM = "            www.warmcat.uk";
const char areaCredits_7[] PROGMEM = "";
PGM_P const areaCreditsText[] PROGMEM = 
  { areaCredits_0,areaCredits_1,areaCredits_2,areaCredits_3,
    areaCredits_4,areaCredits_5,areaCredits_6,areaCredits_7 };

//                                      0123456789012345678901234567890123456789
const char areaAmyCredits_0[] PROGMEM = "";
const char areaAmyCredits_1[] PROGMEM = "          The Lonely Cottage   ";
const char areaAmyCredits_2[] PROGMEM = "";
const char areaAmyCredits_3[] PROGMEM = "  A text based multi-choice adventure";
const char areaAmyCredits_4[] PROGMEM = "   Written by Wayne Jones. Xmas 2014";
const char areaAmyCredits_5[] PROGMEM = "";
const char areaAmyCredits_6[] PROGMEM = "         Merry Christmas Amy!";
const char areaAmyCredits_7[] PROGMEM = "";
PGM_P const areaAmyCreditsText[] PROGMEM = 
  { areaAmyCredits_0,areaAmyCredits_1,areaAmyCredits_2,areaAmyCredits_3,
    areaAmyCredits_4,areaAmyCredits_5,areaAmyCredits_6,areaAmyCredits_7 };

//                                 0123456789012345678901234567890123456789
const char areaIntro_0[] PROGMEM = "How to play:";
const char areaIntro_1[] PROGMEM = "Use the four buttons to select from the";
const char areaIntro_2[] PROGMEM = "possible choices. The aim of the game is";
const char areaIntro_3[] PROGMEM = "to escape and make your way home.";
const char areaIntro_4[] PROGMEM = "Good luck!";
const char areaIntro_5[] PROGMEM = "";
const char areaIntro_6[] PROGMEM = "";
const char areaIntro_7[] PROGMEM = "Press a button to begin the adventure.";
PGM_P const areaIntroText[] PROGMEM = 
  { areaIntro_0,areaIntro_1,areaIntro_2,areaIntro_3,
    areaIntro_4,areaIntro_5,areaIntro_6,areaIntro_7 };

static const char PROGMEM skull[] =       { 0,1,1,1,1,1,1,0,
                                            1,1,1,1,1,1,1,1,
                                            1,1,1,0,1,1,0,1,
                                            1,1,0,1,1,0,1,1,
                                            1,1,0,0,1,0,0,1,
                                            0,1,1,1,1,1,1,1,
                                            0,0,1,1,1,1,1,0,
                                            0,0,1,0,1,0,1,0 };

static const char PROGMEM house[] =       { 0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,
                                            0,0,0,0,1,1,1,1,1,1,1,0,0,0,0,
                                            0,0,0,1,1,1,1,1,1,1,1,1,0,0,0,
                                            0,0,1,1,1,1,1,1,1,1,1,1,1,0,0,
                                            0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,
                                            1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                                            0,1,1,0,0,0,0,1,1,1,0,0,1,1,0,
                                            0,1,1,0,0,0,0,1,1,1,0,0,1,1,0,
                                            0,1,1,1,1,1,1,1,1,1,0,0,1,1,0,
                                            0,1,1,1,1,1,1,1,1,1,1,1,1,1,0 };

static const char PROGMEM car[] =      { 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,
                                         0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,0,0,1,1,0,0,0,0,0,0,0,
                                         0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,0,0,0,1,1,0,0,0,0,0,0,
                                         1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,
                                         1,1,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                                         0,1,1,1,1,0,0,1,1,1,1,0,0,1,1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                                         0,1,1,0,0,0,0,0,1,1,0,0,0,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
                                         0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,
                                         0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0,0,0,0,0,0,0,1,1,1,0,0,0 };


// BELOW IS TEMPLATES //



/*
//                                     0123456789012345678901234567890123456789
const char areaNameHere_0[] PROGMEM = "";
const char areaNameHere_1[] PROGMEM = "";
const char areaNameHere_2[] PROGMEM = "";
const char areaNameHere_3[] PROGMEM = "";
const char areaNameHere_4[] PROGMEM = "";
const char areaNameHere_5[] PROGMEM = "";
const char areaNameHere_6[] PROGMEM = "";
const char areaNameHere_7[] PROGMEM = "Press any button to continue.";
PGM_P const areaNameHereText[] = 
  { areaNameHere_0,areaNameHere_1,areaNameHere_2,areaNameHere_3,
    areaNameHere_4,areaNameHere_5,areaNameHere_6,areaNameHere_7 };
*/

/*

// ******************** //
//       CAR AREA       //
// ******************** //
void AreaCar() { 
  GLCD_ClearText();
  for (int i = 0; i < 8; i ++) {
    strcpy_P(buffer, (char*)pgm_read_word(&(areaCarText[i])));
    GLCD_TextGoTo(0,i);
    GLCD_WriteString( buffer );
    }
  int buttonPressed = ButtonChoice();
  GLCD_ClearText(); GLCD_TextGoTo(0,0);
  boolean buttonPressReq = 0;
  switch (buttonPressed) {
  case 1:
    GLCD_WriteString("1");
    buttonPressReq = 1;
    break;
  case 2:
    GLCD_WriteString("2");
    buttonPressReq = 1;
    break;
  case 3: 
    GLCD_WriteString("3");
    buttonPressReq = 1;
    break;
  case 4: 
    GLCD_WriteString("4");
    buttonPressReq = 1;
    break;
  }
  if (buttonPressReq == 1) {
    int buttonPressed = ButtonChoice();
  } 
}

*/

/* This is how we do graphics (in case I forget)
  GLCD_SetPixel(150,10,1);
  GLCD_SetPixel(151,10,1);
  GLCD_SetPixel(152,10,1);
  GLCD_SetPixel(150,11,1);
  GLCD_SetPixel(152,11,1);
  GLCD_SetPixel(150,12,1);
  GLCD_SetPixel(151,12,1);
  GLCD_SetPixel(152,12,1);
*/
